Bug 512905 - add ability to override tmp directory location for guestfish
add ability to override tmp directory location for guestfish
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-21 05:33 EDT by Marek Goldmann
Modified: 2010-03-27 06:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 06:45:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2009-07-21 05:33:59 EDT
Description of problem:

Guestfish creates temporary files in /tmp/libguestfsXYZXYZ directory. There is no way to change location of this directory which may cause errors when no space is left on partition mounted to /tmp.

Version-Release number of selected component (if applicable):

All.

How reproducible:

NA

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Booth 2009-07-21 05:51:30 EDT
I think the underlying problem here is reliance on the state of the guest to inspect it. If we need space on the guest to perform an operation we should provide it from the host.

Alternatively, actions which can be performed on the host probably should be, as the host is more of a 'known-entity'.
Comment 2 Richard W.M. Jones 2009-07-21 06:23:58 EDT
No the problem here is it creates a large directory
under /tmp on the host.  The location of this directory
ought to be configurable.
Comment 4 Fedora Update System 2009-07-23 11:12:13 EDT
libguestfs-1.0.64-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.64-2.el5
Comment 5 Fedora Update System 2009-07-27 10:45:17 EDT
libguestfs-1.0.64-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.64-3.el5
Comment 6 Fedora Update System 2009-07-29 13:00:53 EDT
libguestfs-1.0.65-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.65-2.el5
Comment 7 Fedora Update System 2009-08-07 04:34:14 EDT
libguestfs-1.0.66-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.66-4.el5
Comment 8 Fedora Update System 2009-08-14 05:13:57 EDT
libguestfs-1.0.67-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.67-1.el5
Comment 9 Fedora Update System 2009-08-17 20:22:53 EDT
libguestfs-1.0.65-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-08-19 17:55:26 EDT
libguestfs-1.0.68-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.68-5.el5
Comment 11 Fedora Update System 2009-09-08 18:59:34 EDT
libguestfs-1.0.68-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Richard W.M. Jones 2010-03-27 06:45:07 EDT
Long fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.